Subject: bug#50453: 27.2; Portable dumper broken on MSW

From: Po Lu <[email-masked]>
Date: Fri, 10 Sep 2021 08:51:02 +0800

Eli Zaretskii <[email-masked]> writes:

> The current MS documentation is "inaccurate", to say the least: they
> consistently removed from it any references to versions of Windows
> before Windows 2000/XP.
>
> I use this instead:
>
>   http://winapi.freetechsecrets.com/win32/WIN32MapViewOfFileEx.htm
>
> and it says this is available on Windows 9X, but there's a special
> requirement regarding the flags, and I see that we don't fulfill that
> requirement.

> But I don't know how to proceed from here: you are probably unable to
> build Emacs for Windows 98, and I don't know how else to ask you to
> try some modifications of the current code.  Any ideas?

I have successfully built Emacs for Windows 98, with functional
debugging information, using MinGW GCC 7.4, though GDB is still plagued
with Windows crashes.

I'd be happy to test any modification.  TIA.